Bug 493295 - perl-DBD-Oracle should requires perl-DBI >=1.51
perl-DBD-Oracle should requires perl-DBI >=1.51
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Michael Mráka
:
: 498674 (view as bug list)
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-04-01 06:19 EDT by Miroslav Suchý
Modified: 2009-09-10 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2009-04-01 06:19:47 EDT
/usr/sbin/rhn-proxy restart
...
Starting NPBootstrap ...  2009-03-27 10:52:38 NPBootstrap:      !! ERROR FROM SHELL COMMAND:
2009-03-27 10:52:38 NPBootstrap:        !! STDOUT:
2009-03-27 10:52:38 NPBootstrap:        !! STDERR: DBI version 1.51 required--this is only version 1.40 at /usr/lib/perl5/5.8.5/Exporter/Heavy.pm line 237.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.5/NOCpulse/Probe/DataSource/Oracle.pm line 7.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/NOCpulse/Probe/DataSource/Oracle.pm line 7.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.5/NOCpulse/Probe/DataSource/Factory.pm line 5.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/NOCpulse/Probe/DataSource/Factory.pm line 5.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.5/NOCpulse/Probe/ProbeRunner.pm line 16.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/NOCpulse/Probe/ProbeRunner.pm line 16.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.5/NOCpulse/Scheduler/Event/ProbeEvent.pm line 14.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/NOCpulse/Scheduler/Event/ProbeEvent.pm line 14.
Compilation failed in require at /usr/bin/scheduleEvents line 12.
BEGIN failed--compilation aborted at /usr/bin/scheduleEvents line 12.

# grep -r 1.51 /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBD/
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/DBD/Oracle.pm:    require_version DBI 1.51;

# rpm -qR perl-DBD-Oracle
...
perl(DBD::Oracle)
perl(DBI)
perl(DBI) >= 1.22

We should require >=1.51
Comment 1 Miroslav Suchý 2009-04-01 06:24:37 EDT
Commited as 07433811242d29f81fa997f1d1b1706ea73c90f6 in thirdparty.
Should be fixed in perl-DBD-Oracle-1.22-13
Comment 2 Miroslav Suchý 2009-04-01 06:57:35 EDT
I should state that it affected only RHEL4.
Comment 3 Miroslav Suchý 2009-04-02 04:21:12 EDT
Filed rel-eng ticket #38655
Comment 4 Miroslav Suchý 2009-04-06 05:44:55 EDT
$ ls /mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL4-re20090403.2/i386/i386/RHNProxy/perl-DBI-1.52-1.el4sat.2.i386.rpm
/mnt/redhat/devel/candidate-trees/RHN-Proxy-5.3.0-RHEL4-re20090403.2/i386/i386/RHNProxy/perl-DBI-1.52-1.el4sat.2.i386.rpm
Moving ON_QA
Comment 5 Michael Mráka 2009-04-15 06:02:46 EDT
RHNProxy-5.3.0-RHEL4-re20090414.0 contains old perl-DBD-Oracle-1.22-12 package. Moving back to MODIFIED.
Comment 6 Miroslav Suchý 2009-05-04 05:52:38 EDT
*** Bug 498674 has been marked as a duplicate of this bug. ***
Comment 7 Michael Mráka 2009-05-28 11:10:28 EDT
Verified. RHN-Proxy-5.3.0-RHEL4-re20090521.1-i386

# rpm -qR perl-DBD-Oracle | grep DBI
perl(DBI)  
perl(DBI) >= 1.22
perl(DBI) >= 1.51
Comment 8 Milan Zázrivec 2009-08-26 05:29:15 EDT
Verified in stage with the same results as stated in the comment above.
RELEASE_PENDING
Comment 9 Brandon Perkins 2009-09-10 16:35:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.